# Shapes Constraint Language (SHACL)

Language for validating RDF graphs against a set of conditions. These conditions are provided as shapes and other constructs expressed in the form of an RDF graph. RDF graphs that are used in this manner are called "shapes graphs" in SHACL and the RDF graphs that are validated against a shapes graph are called "data graphs". As SHACL shape graphs are used to validate that data graphs satisfy a set of conditions they can also be viewed as a description of the data graphs that do satisfy these conditions. Such descriptions may be used for a variety of purposes beside validation, including user interface building, code generation and data integration.

## References
- [Gaia-X Identity, Credential and Access Management Specifications](https://docs.gaia-x.eu/technical-committee/identity-credential-access-management/latest/) - 6.5.3.1
- [SHACL specification](https://www.w3.org/TR/shacl/#validation-definition).

